Wallet Infrastructure
Wallet Infrastructure
Recovery Contacts

Set recovery contact

POST
/v1/recovery-contacts

Requires scope recovery-contacts:write.

Authorization

ApiKey
headerAuthorizationBearer <sk_test_ or sk_live_ key>

Your sk_live_ / sk_test_ API key

Request Body

application/json
  1. body
contact*string

The address recovery alerts go to.

Formatemail
Lengthlength <= 320
challenge*string

The challenge returned by POST /v1/recovery-contacts/challenge.

Length1 <= length
passkeyPublicKey*
passkeyData*

An assertion over the challenge from a passkey that currently owns the customer's Safe.

Response Body

200application/json

Recovery contact set

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
401application/json

The Authorization header is missing, malformed, or the API key is unknown or revoked

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
429application/json

The API key exceeded its request budget for the window

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean

Language

curl -X POST 'https://api.pilot.shiga.io/v1/recovery-contacts' \  -H 'Authorization: Bearer sk_test_...' \  -H 'Content-Type: application/json' \  -d '{  "contact": "user@example.com",  "challenge": "string",  "passkeyPublicKey": {    "x": "string",    "y": "string"  },  "passkeyData": {    "property1": null,    "property2": null  }}'
Example Response
{  "data": {    "status": "pending"  },  "status": 200,  "success": true}